<?php

namespace common\logic\Producer\Producer\Service;

use common\logic\AbstractService;
use common\logic\Producer\Producer\Model\Producer;
use common\logic\ManagerInterface;

class ProducerManager extends AbstractService implements ManagerInterface
{
    public function sendEmailNewProducer(Producer $producer): void
    {
        \Yii::$app->mailerService->sendAdmin(
            'Nouveau producteur',
            'new-producer',
            [
                'producer' => $producer
            ]
        );
    }
}